# Generated by Django 5.0.7 on 2024-08-09 16:47

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0115_convert_dashboard_widgets'),
    ]

    operations = [
        migrations.CreateModel(
            name='KritenCluster',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100)),
                ('kriten_url', models.CharField(max_length=100)),
                ('api_token', models.CharField(max_length=64)),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='KritenTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100)),
                ('runner', models.CharField(max_length=100)),
                ('command', models.CharField(max_length=200)),
                ('secrets', models.JSONField(blank=True, null=True)),
                ('schema', models.JSONField(blank=True, null=True)),
                ('synchronous', models.BooleanField(blank=True, default=False)),
                ('kriten_cluster', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='kriten_tasks', to='kriten.kritencluster')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('kriten_cluster', 'name'),
                'unique_together': {('kriten_cluster', 'name')},
            },
        ),
    ]
